Bug 91236 - (NET E100)e100 reports hw tcp v4 csum failed
(NET E100)e100 reports hw tcp v4 csum failed
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-05-20 05:45 EDT by Christopher Chan
Modified: 2013-07-02 22:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:40:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
lspci -vv (6.07 KB, text/plain)
2003-05-20 05:47 EDT, Christopher Chan
no flags Details

  None (edit)
Description Christopher Chan 2003-05-20 05:45:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021204

Description of problem:

Intel(R) PRO/100 Network Driver - version 2.2.21-k1
Copyright (c) 2003 Intel Corporation

e100: selftest OK.
divert: allocating divert_blk for eth0
e100: eth0: Intel(R) PRO/100 Network Connection
  Hardware receive checksums enabled
  cpu cycle saver enabled

ip_tables: (C) 2000-2002 Netfilter core team
e100: eth0 NIC Link is Up 100 Mbps Full duplex
hw tcp v4 csum failed
hw tcp v4 csum failed
hw tcp v4 csum failed
hw tcp v4 csum failed
hw tcp v4 csum failed
hw tcp v4 csum failed
hw tcp v4 csum failed
hw tcp v4 csum failed
hw tcp v4 csum failed
hw tcp v4 csum failed

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Switch on the box
2. dmesg

Actual Results:  got funny message

Expected Results:  no funny messages

Additional info:
Comment 1 Christopher Chan 2003-05-20 05:47:01 EDT
Created attachment 91816 [details]
lspci -vv

output of lspci -vv
Comment 2 acount closed by user 2003-05-21 20:27:00 EDT
I have:

EtherExpress PRO/100 S Server Adapter
Class 0200: 8086:1229 (rev 0d) Subsystem: 8086:1050
EtherExpress PRO/100B (TX) (MiniPCI Ethernet+Modem)
Class 0200: 8086:1229 (rev 08) Subsystem: 1668:1100

and I don't have this problem with rh 9 and 7.3 + kernel 2.4.20-13.x

an intel guy said that in l-k:

-- http://marc.theaimsgroup.com/?t=105337876900002&r=1&w=2 --
can you try turning off Rx checksum offloading in e100?  Set the module
parameter XsumRX=0 to turn it off.  
Comment 3 Jeff Garzik 2004-03-03 01:11:48 EST
*** Bug 115044 has been marked as a duplicate of this bug. ***
Comment 4 Scott Feldman 2004-03-03 22:28:13 EST
2.2.21-k1 is pretty old version of e100.

Can we try the new e100-3.0.15?  Get it at 

This driver doesn't do hw checksum offloading, so I'm not expecting 
to see these errors.
Comment 5 Bugzilla owner 2004-09-30 11:40:57 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.